Bug 1301991 - Dracut fails to fetch kickstart file when using CMS config file
Dracut fails to fetch kickstart file when using CMS config file
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
23
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: dracut-maint-list
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2016-01-26 08:50 EST by Jan Stodola
Modified: 2016-12-20 13:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:13:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rdsosreport.txt (5.36 MB, text/plain)
2016-01-26 08:51 EST, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2016-01-26 08:50:32 EST
Description of problem:
When using a CMS configuration file on s390x with network/disks definitions, dracut fails to download the kickstart file and drops to emergency shell. I can see that the default route is not set:

dracut:/# ip r
ip r 
10.16.104.0/21 dev enccw0.0.0a00  proto kernel  scope link  src 10.16.105.197  
dracut:/# 

from rdsosreport:
...
# IP address is flushed and set, also the default route is set:
[   30.191429] localhost dracut-initqueue[879]: /lib/dracut-lib.sh@41(strglobin): '[' -n 10.16.105.197 -a -z 10.16.105.197 ']'
[   30.191597] localhost dracut-initqueue[879]: /usr/sbin/ifup@143(do_static): ip addr flush dev enccw0.0.0a00
[   30.191854] localhost dracut-initqueue[879]: /usr/sbin/ifup@144(do_static): ip addr add 10.16.105.197/255.255.248.0 brd + dev enccw0.0.0a00
....
[   30.195766] jstodola.redhat.com dracut-initqueue[879]: //tmp/net.enccw0.0.0a00.gw@1(source): ip route replace default via 10.16.111.254 dev enccw0.0.0a00
....
# the installation image is sucessfully downloaded:
[   37.117829] jstodola.redhat.com dracut-initqueue[879]: ///lib/url-lib.sh@70(curl_fetch_url): curl --globoff --location --retry 3 --fail --show-error --remote-name http://dl.fedoraproject.org/pub/fedora-secondary/releases/23/Server/s390x/os/images/install.img
....
# IP address is flushed and set again, but the default route is not set again:
[   70.203858] jstodola.redhat.com dracut-initqueue[879]: /usr/sbin/ifup@143(do_static): ip addr flush dev enccw0.0.0a00
[   70.204784] jstodola.redhat.com dracut-initqueue[879]: /usr/sbin/ifup@144(do_static): ip addr add 10.16.105.197/255.255.248.0 brd + dev enccw0.0.0a00
...
[   70.207467] jstodola.redhat.com dracut-initqueue[879]: /lib/net-lib.sh@92(setup_net): '[' -e /tmp/net.enccw0.0.0a00.did-setup ']'
[   70.207624] jstodola.redhat.com dracut-initqueue[879]: /lib/net-lib.sh@93(setup_net): '[' -e /sys/class/net/enccw0.0.0a00/address ']'
[   70.208052] jstodola.redhat.com dracut-initqueue[879]: //lib/net-lib.sh@94(setup_net): cat /sys/class/net/enccw0.0.0a00/address
[   70.208502] jstodola.redhat.com dracut-initqueue[879]: /lib/net-lib.sh@94(setup_net): '[' -e /tmp/net.02:00:00:00:00:0f.did-setup ']'
[   70.208623] jstodola.redhat.com dracut-initqueue[879]: /lib/net-lib.sh@94(setup_net): return
...
# download of the kickstart file fails


Version-Release number of selected component (if applicable):
Fedora 23 / s390x
dracut-043-60.git20150811.fc23

How reproducible:
always

Steps to Reproduce:
1. have a CMS config file with network/disk configuration
2. have a CMS parameter file pointing to the CMS config file, use kickstart:

ro ramdisk_size=40000 cio_ignore=all,!condev
CMSDASD=0191 CMSCONFFILE=fedora.conf
repo=http://dl.fedoraproject.org/pub/fedora-secondary/releases/23/Server/s390x/o
s
_nst.updates=http://sbueno.fedorapeople.org/updates/ldldasd.img
inst.ks=http://sbueno.fedorapeople.org/ks/ldldasd.ks
rd.debug

3. start the installation

Actual results:
KS file not downloaded, no default route is set

Expected results:
KS file successfully downloaded

Additional info:
I wasn't able to reproduce it when all parameters were present in the CMS parameter file (CMS config file not used)
Comment 1 Jan Stodola 2016-01-26 08:51 EST
Created attachment 1118519 [details]
rdsosreport.txt
Comment 2 Fedora End Of Life 2016-11-24 10:12:52 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 13:13:41 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.